INTERFACE
SUBROUTINE RADTR_ML_AD(KSAT,KSENSOR,KDPROF,KPROF,KMXCH,KNCH,PRCH,&
 & LDCLOUD,&
 & PZENANG,PAZIANG,PSOLZENANG,PSOLAZIANG,PLAT,POROG,&
 & PPRESF,PTF,PQF,PO3F,PCLWF,PCIWF,PCCF,YDGEMSPROF,&
 & PPSSAT,PTSSAT,PT2SAT,PH2SAT,PCTOP,PCAMT ,&
 & PUSSAT,PVSSAT,PEMIS,&
 & PPRESF5,PTF5,PQF5,PO3F5,PCLWF5,PCIWF5,PCCF5,YDGEMSPROF5,&
 & PPSSAT5,PTSSAT5,PLSSAT5,PT2SAT5,PH2SAT5 ,PCTOP5,PCAMT5,PUSSAT5,PVSSAT5,PEMIS5,&
 & PTB) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSAT
INTEGER(KIND=JPIM),INTENT(IN) :: KSENSOR
INTEGER(KIND=JPIM),INTENT(IN) :: KMXCH
INTEGER(KIND=JPIM),INTENT(IN) :: KNCH(KDPROF)
LOGICAL ,INTENT(IN) :: LDCLOUD
REAL(KIND=JPRB) ,INTENT(IN) :: PZENANG(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PAZIANG(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOLZENANG(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOLAZIANG(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCH(KDPROF,KMXCH)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRESF(KDPROF,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDPROF,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF(KDPROF,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PO3F(KDPROF,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLWF(KDPROF,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCIWF(KDPROF,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCCF(KDPROF,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPSSAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSSAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT2SAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PH2SAT(KDPROF),PCTOP(KDPROF),PCAMT(KDPROF)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUSSAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSSAT(KDPROF)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIS(KDPROF,KMXCH)
TYPE (TYPE_GEMSPROF) ,INTENT(INOUT) :: YDGEMSPROF(KDPROF,NGEMS)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF5(KDPROF,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDPROF,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDPROF,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3F5(KDPROF,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLWF5(KDPROF,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCIWF5(KDPROF,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCF5(KDPROF,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PT2SAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PH2SAT5(KDPROF),PCTOP5(KDPROF),PCAMT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSSAT5(KDPROF)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS5(KDPROF,KMXCH)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF5(KDPROF,NGEMS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTB(KDPROF,KMXCH)
END SUBROUTINE RADTR_ML_AD
END INTERFACE
